Bug 131282 - Refactor post-attach and HTMLObjectElement-related code
Summary: Refactor post-attach and HTMLObjectElement-related code
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Darin Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-06 12:25 PDT by Darin Adler
Modified: 2014-04-09 09:48 PDT (History)
1 user (show)

See Also:


Attachments
Patch (47.65 KB, patch)
2014-04-06 13:26 PDT, Darin Adler
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2014-04-06 12:25:12 PDT
Refactor post-attach and HTMLObjectElement-related code
Comment 1 Darin Adler 2014-04-06 13:26:56 PDT
Created attachment 228702 [details]
Patch
Comment 2 Darin Adler 2014-04-06 13:27:32 PDT
Committed r166853: <http://trac.webkit.org/changeset/166853>
Comment 3 Alexey Proskuryakov 2014-04-08 15:49:35 PDT
I'm seeing fast/preloader/document-write.html fail again: <http://build.webkit.org/results/Apple%20Mavericks%20Release%20WK1%20(Tests)/r166965%20(5045)/fast/preloader/document-write-pretty-diff.html>.

Flakiness dashboard is broken at the moment, so I don't know when exactly it started. But given past experience, it seems almost certain to be this patch.
Comment 4 Darin Adler 2014-04-09 07:31:05 PDT
Very interesting! Could you put it on the skipped list again until I have a chance to look at it?
Comment 5 Alexey Proskuryakov 2014-04-09 09:48:22 PDT
Done, and re-opened bug 130942.